import SwiftUI

struct PrimaryButtonStyle: ButtonStyle {
    
    func makeBody(configuration: Configuration) -> some View {
        HStack {
            Spacer()
            configuration.label
                .font(TextStyle.headline.font)
                .foregroundColor(ColorName.textOnTint.color)
            Spacer()
        }
        .padding(.vertical, 12.0)
        .padding(.horizontal, 24.0)
        .background(
            RoundedRectangle(cornerRadius: 8.0)
                .fill(ColorName.tint.color)
        )
        .frame(maxWidth: 400)
    }
    
}

struct SecondaryButtonStyle: ButtonStyle {
    
    func makeBody(configuration: Configuration) -> some View {
        HStack {
            Spacer()
            configuration.label
                .font(TextStyle.headline.font)
                .foregroundColor(ColorName.tint.color)
            Spacer()
        }
        .padding(.vertical, 4.0)
        .padding(.horizontal, 8.0)
        .frame(maxWidth: 400)
    }
    
}

struct FlatButtonStyle: ButtonStyle {
    
    func makeBody(configuration: Configuration) -> some View {
        configuration.label
    }
    
}
